# Class: OptionRequirement

[internal](../modules/internal-26.md).OptionRequirement

## Properties

### amount

• **amount**: `number`

#### Defined in

medusa/dist/api/routes/admin/shipping-options/create-shipping-option.d.ts:137

___

### type

• **type**: `string`

#### Defined in

medusa/dist/api/routes/admin/shipping-options/create-shipping-option.d.ts:136
